javax.enterprise.inject.spi

## Interface ProcessInjectionPoint<T,X>

- Type Parameters:
    `X` - the declared type of the injection point.
    `T` - the bean class of the bean that declares the injectoion point

      public interface ProcessInjectionPoint<T,X>

  The container fires an event of this type for every injection point of every Java EE component class supporting injection that may be instantiated by the container at runtime, including every managed bean declared using `javax.annotation.ManagedBean`, EJB session or message-driven bean, enabled bean, enabled interceptor or enabled decorator.

  Any observer of this event is permitted to wrap and/or replace the `InjectionPoint`. The container must use the final value of this property, after all observers have been called, he container must use the final value of this property, after all observers have been called, whenever it performs injection upon the injection point.

  If any observer method of a `ProcessInjectionPoint` event throws an exception, the exception is treated as a definition error by the container.

  Author:
    Pete Muir
  See Also:
    `InjectionPoint`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefinitionError(Throwable t)` Registers a definition error with the container, causing the container to abort deployment after bean discovery is complete.
    `InjectionPoint` | `getInjectionPoint()`
    `void` | `setInjectionPoint(InjectionPoint injectionPoint)` Replaces the InjectionPoint.

- - ### Method Detail

    - #### getInjectionPoint

          InjectionPoint getInjectionPoint()

      Returns:
        the InjectionPoint object that will be used by the container to perform injection
      Throws:
        `IllegalStateException` - if called outside of the observer method invocation

    - #### setInjectionPoint

          void setInjectionPoint(InjectionPoint injectionPoint)

      Replaces the InjectionPoint.
      Parameters:
        `injectionPoint` - the new injection point
      Throws:
        `IllegalStateException` - if called outside of the observer method invocation

    - #### addDefinitionError

          void addDefinitionError(Throwable t)

      Registers a definition error with the container, causing the container to abort deployment after bean discovery is complete.
      Parameters:
        `t` - the definition error
      Throws:
        `IllegalStateException` - if called outside of the observer method invocation

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.